{% extends 'inventory/base.html' %}
{% load crispy_forms_tags %}

{% block title %} | Inventory {% endblock %}

{% block content %}
    <div class="container">
        <h1 class="m-3 text-center">Rowan Engineering Inventory</h1>

        <div class="d-flex flex-row align-items-start mb-3 justify-content-center">
            {% for category, subcategories in categories %}
                <div class="card m-3" style="width: 18rem;">
                    <a href="{% url 'parts_category' category_id=category.id %}" class="card-header font-weight-bold text-dark d-flex flex-row align-items-center justify-content-between">
                        <span>{{ category.name }}</span>
                        {% if category.parts_count > 1 %}
                            <span class="text-muted">{{ category.parts_count }} parts</span>
                        {% elif category.parts_count == 1 %}
                            <span class="text-muted">1 part</span>
                        {% else %}
                            <span class="text-muted">No parts</span>
                        {% endif %}
                    </a>
                    <div class="list-group list-group-flush">
                        {% for subcategory in subcategories %}
                            <a href="{% url 'parts_category' category_id=subcategory.id %}" class="list-group-item text-dark d-flex flex-row align-items-center justify-content-between">
                                <span>{{ subcategory.name }}</span>
                                {% if subcategory.parts_count > 1 %}
                                    <span class="text-muted">{{ subcategory.parts_count }} parts</span>
                                {% elif subcategory.parts_count == 1 %}
                                    <span class="text-muted">1 part</span>
                                {% else %}
                                    <span class="text-muted">No parts</span>
                                {% endif %}
                            </a>
                        {% endfor %}
                    </div>
                </div>
            {% endfor %}
        </div>

        <div class="text-right">
            <a href="{% url 'submit_request' %}" class="mt-3" style="font-size: 14px">Can't find what you need?</a>
        </div>
    </div>
{% endblock %}
